hadoop-mapreduce-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MAPREDUCE-3922) Fix the potential problem compiling 32 bit binaries on a x86_64 host.
Date Tue, 28 Feb 2012 02:59:50 GMT

    [ https://issues.apache.org/jira/browse/MAPREDUCE-3922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13217859#comment-13217859
] 

Hudson commented on MAPREDUCE-3922:
-----------------------------------

Integrated in Hadoop-Common-trunk-Commit #1792 (See [https://builds.apache.org/job/Hadoop-Common-trunk-Commit/1792/])
    MAPREDUCE-3922. Fixed build to not compile 32bit container-executor binary by default
on all platforms. Contributed by Hitesh Shah. (Revision 1294446)

     Result = SUCCESS
vinodkv : http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1294446
Files : 
* /hadoop/common/trunk/hadoop-mapreduce-project/CHANGES.txt
* /hadoop/common/trunk/hadoop-mapreduce-project/hadoop-yarn/hadoop-yarn-server/hadoop-yarn-server-nodemanager/pom.xml

                
> Fix the potential problem compiling 32 bit binaries on a x86_64 host.
> ---------------------------------------------------------------------
>
>                 Key: MAPREDUCE-3922
>                 URL: https://issues.apache.org/jira/browse/MAPREDUCE-3922
>             Project: Hadoop Map/Reduce
>          Issue Type: Improvement
>          Components: build, mrv2
>    Affects Versions: 0.23.1
>            Reporter: Eugene Koontz
>            Assignee: Hitesh Shah
>            Priority: Minor
>              Labels: bigtop, build, doc, mrv2
>             Fix For: 0.23.2
>
>         Attachments: MAPREDUCE-3922.patch, MR-3922.1.patch
>
>
> MAPREDUCE-3880 specifies that {{-m32}} be passed to gcc to ensure that a 32-bit binary
is built. On my Amazon Linux with a x86_64 architecture, I could not build the native container-executor
because the configure script exited with an error when trying to use gcc (version 4.4.5) with
this flag.
> Adds a comment to {{hadoop-mapreduce-project/hadoop-yarn/hadoop-yarn-server/hadoop-yarn-server-nodemanager/pom.xml}}
regarding package requirement for glibc-devel.i686 or glibc-devel.i386 package on yum-based
(RHEL, Centos, Amazon) Linux distributions.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message